### Function

# EDataServer xml_xpath_eval_as_string

since: 3.26

#### Declaration [src]

    gchar*
    e_xml_xpath_eval_as_string (
      xmlXPathContext* xpath_ctx,
      const gchar* format,
      ...
    )

#### Description [src]

Evaluates path specified by `format` and returns its result as string, in case the path evaluates to a non-empty node set. See also `e_xml_xpath_eval()` which evaluates the path to an #xmlXPathObjectPtr.

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`xpath_ctx`

  Type: `xmlXPathContext*`

  An #xmlXPathContextPtr.

  The data is owned by the caller of the function.

`format`

  Type: `const gchar*`

  Printf-like format specifier of path to evaluate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for the `format`.

#### Return value

Type: `gchar*`

A new string which contains value of the given path, or `NULL` if path cannot be found or when it evaluates to an empty nodeset. Free returned pointer with g_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.